Bug 1134571 - please update to a more recent version (13.0.2 or newer)
Summary: please update to a more recent version (13.0.2 or newer)
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-zmq
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-27 19:56 UTC by Bill Nottingham
Modified: 2014-11-02 08:08 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-30 17:38:34 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2014-08-27 19:56:43 UTC
Description of problem:

EPEL 6 has python-zmq-2.2.0.1.

1) According to 
http://zeromq.github.io/pyzmq/changelog.html this is a beta version.

2) It has the following issue (https://github.com/zeromq/pyzmq/issues/173)
which can occur on python 2.x as well.

Can this be bumped at least to the 13.0.2 version from EPEL 7?

Version-Release number of selected component (if applicable):

python-zmq-2.2.0.1-1.el6

Comment 1 Thomas Spura 2014-08-27 20:33:44 UTC
Thanks for the heads-up.
I wasn't aware, that we need 14.3.0 for python3.4, so I'll update F21+ to it now.

Do you see a reason not to update el5+ also to it?
I'm not aware of backward incompatible changes other than:
- PyZMQ no longer calls Socket.close() or Context.term() during process cleanup. Changes to garbage collection in Python 3.4 make this impossible to do sensibly.

FYI: The new features of zeromq4 won't be available, as I found no reviewer for it yet (#1069556), so I was thinking of pushing it back to zeromq (at least for rawhide), once all packages are ported. I started to poke people to update it a while ago.

Comment 2 Bill Nottingham 2014-08-28 14:24:10 UTC
I don't have any particular reasons *against* a later version; just that the 13.0.2 that's on el7 at least fixes the issue we ran into.

Comment 3 Mike Place 2014-08-28 18:12:14 UTC
Did any of the above changes get pushed to EPEL? The team at SaltStack have started receiving reports that the python-zmq package is now broken on Centos 6.5. 

See our current discussion here: https://github.com/saltstack/salt/issues/15274#issuecomment-53766291

Please let me know if it's better to open this in a separate issue. Thanks!

Comment 4 Fedora Update System 2014-08-29 10:34:11 UTC
python-zmq-14.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-zmq-14.3.1-1.el5

Comment 5 Fedora Update System 2014-08-29 10:34:17 UTC
python-zmq-14.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zmq-14.3.1-1.el6

Comment 6 Greg 2014-08-29 11:31:40 UTC
Hi,
Can this be also done for CentOS EPEL please?

Comment 7 Fedora Update System 2014-09-01 11:53:32 UTC
python-zmq-14.3.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-zmq-14.3.1-1.el7

Comment 8 Fedora Update System 2014-09-01 22:31:42 UTC
Package python-zmq-14.3.1-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-zmq-14.3.1-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2328/python-zmq-14.3.1-1.el7
then log in and leave karma (feedback).

Comment 9 Greg 2014-09-14 08:44:54 UTC
Still have 2.2 on RHEL 6.5:

Installing:
 python-zmq                 x86_64                 2.2.0.1-1.el6                  epel                 424 k

Comment 10 Fedora Update System 2014-09-30 17:38:34 UTC
python-zmq-14.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-01 22:32:24 UTC
python-zmq-14.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-01 22:33:49 UTC
python-zmq-14.3.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.